//--------------------------------------

$SellAmmo[DiscAmmo] = 5;
$AmmoPackMax[DiscAmmo] = 15;
$AmmoPackItems[2] = DiscAmmo;
$WeaponAmmo[DiscLauncher] = DiscAmmo;

//--------------------------------------

$InvList[Disclauncher] = 1;
$InvList[DiscAmmo] = 1;
$RemoteInvList[Disclauncher] = 1;
$RemoteInvList[DiscAmmo] = 1;

//--------------------------------------

RocketData DiscShell1
{
   bulletShapeName = "discammo.dts";
   explosionTag    = debrisExpSmall;

   collisionRadius = 0.0;
   mass            = 2.0;

   damageClass      = 1;       // 0 impact, 1, radius
   damageValue      = 0.3;
   damageType       = $ExplosionDamageType;

   explosionRadius  = 7.5;
   kickBackStrength = 150.0;

   muzzleVelocity   = 65.0;
   terminalVelocity = 80.0;
   acceleration     = 20.0;

   totalTime        = 6.5;
   liveTime         = 8.0;

   lightRange       = 5.0;
   lightColor       = { 0, 0, 1.0 };

   inheritedVelocityScale = 0.5;

   // rocket specific
   trailType   = 2;                // smoke trail
   trailString = "chainspk.dts";
   smokeDist   = 3;

   soundId = SoundDiscSpin;
};

RocketData DiscShell2
{
   bulletShapeName = "plasmaex.dts";
   explosionTag    = plasmaExp;

   collisionRadius = 0.0;
   mass            = 2.0;

   damageClass      = 1;       // 0 impact, 1, radius
   damageValue      = 0;
   damageType       = $ExplosionDamageType;

   explosionRadius  = 7.5;
   kickBackStrength = 0;

   muzzleVelocity   = 65.0;
   terminalVelocity = 80.0;
   acceleration     = 20.0;

   totalTime        = 6.5;
   liveTime         = 8.0;

   lightRange       = 5.0;
   lightColor       = { 0, 0, 1.0 };

   inheritedVelocityScale = 0.5;

   // rocket specific
   trailType   = 2;                // smoke trail
   trailString = "plasmatrail.dts";
   smokeDist   = 3;

   soundId = SoundDiscSpin;

};

$BulletToWeapon[DiscShell1] = DiscLauncher;
$BulletToWeapon[DiscShell2] = DiscLauncher;

//--------------------------------------

ItemData DiscAmmo
{
	description = "Disc";
	className = "Ammo";
	shapeFile = "discammo";
   heading = "xAmmunition";
	shadowDetailMask = 4;
	price = 2;
};

ItemImageData DiscLauncherImage
{
	shapeFile = "disc";
	mountPoint = 0;
	mountOffset = { 0, 0.2, -0.01  }; //-  left-right, back-front, up-down
	mountRotation = { 0, -3.18 , 0  }; //- X= up-down , Y= roll-left-right , Z= left-right

	weaponType = 3; // DiscLauncher
	ammoType = DiscAmmo;
	projectileType = DiscShell;
	accuFire = true;
	reloadTime = 0.1;
	fireTime = 0.25;
	spinUpTime = 0.2;

	sfxFire = SoundFireSeeking;
	sfxActivate = SoundPickUpWeapon;
	sfxReload = SoundDiscReload;
	sfxReady = SoundLaserIdle;
};

ItemData DiscLauncher
{
	description = "Disc Launcher";
	className = "Weapon";
	shapeFile = "disc";
	hudIcon = "disc";
   heading = "bWeapons";
	shadowDetailMask = 4;
	imageType = DiscLauncherImage;
	price = 150;
	showWeaponBar = true;
};

//--------------------------------------

ItemImageData DiscLauncher1Image
{
	shapeFile = "discammo";
	mountPoint = 0; 
	mountOffset = { 0, 0, -0.13 }; //-  left-right, back-front, up-down
	mountRotation = { 0, 1.57, 0  }; //- X= up-down , Y= roll-left-right , Z= left-right
};

ItemData DiscLauncher1
{
	description = "DiscLauncher1";
	className = "ammo";
	shapeFile = "discammo";
	shadowDetailMask = 4;
	imageType = DiscLauncher1Image;
	showWeaponBar = false;
};

ItemImageData DiscLauncher2Image
{
	shapeFile = "discammo";
	mountPoint = 0; 
	mountOffset = { 0, 0, -0.13 }; //-  left-right, back-front, up-down
	mountRotation = { 0, -1.57, 0  }; //- X= up-down , Y= roll-left-right , Z= left-right
};

ItemData DiscLauncher2
{
	description = "DiscLauncher2";
	className = "ammo";
	shapeFile = "discammo";
	shadowDetailMask = 4;
	imageType = DiscLauncher2Image;
	showWeaponBar = false;
};

ItemImageData DiscLauncher3Image
{
	shapeFile = "paintgun";
	mountPoint = 0; 
	mountOffset = { 0, 0.7, -0.08  }; //-  left-right, back-front, up-down
	mountRotation = { 0, 0, 0  }; //- X= up-down , Y= roll-left-right , Z= left-right

	weaponType = 3; // DiscLauncher
	ammoType = DiscAmmo;
	projectileType = DiscShell2;
	accuFire = true;
	reloadTime = 0.1;
	fireTime = 0.25;
	spinUpTime = 0.2;
};

ItemData DiscLauncher3
{
	description = "DiscLauncher3";
	shapeFile = "paintgun";
	shadowDetailMask = 4;
	imageType = DiscLauncher3Image;
	showWeaponBar = false;
};


function DiscLauncher::onMount(%player,%item)
{
	Player::mountItem(%player, DiscLauncher3, 4);
	Player::mountItem(%player, DiscLauncher1, 5);
	Player::mountItem(%player, DiscLauncher2, 6);
}

function DiscLauncher::onUnMount(%player,%item)
{
	Player::unmountItem(%player, 4);
	Player::unmountItem(%player, 5);
	Player::unmountItem(%player, 6);
}


function DiscLauncherImage::onFire(%player, %slot) 
{		
	if($debug)echo("?? EVENT fire "@Player::getMountedItem(%player,0)@ " player "@ %player @" cl# "@ Player::getclient(%player));	
	%client = GameBase::getOwnerClient(%player); 
	Player::decItemCount(%player,Discammo,1); 
	%trans = GameBase::getMuzzleTransform(%player); 
	%vel = Item::getVelocity(%player); 
	Projectile::spawnProjectile("DiscShell1",%trans,%player,%vel,%player);
	Projectile::spawnProjectile("DiscShell2",%trans,%player,%vel,%player);
		
}