//--------------------------------------

$AutoUse[LaserRifle] = True;
$WeaponAmmo[LaserRifle] = "";

//--------------------------------------

$InvList[LaserRifle] = 1;
$RemoteInvList[LaserRifle] = 1;

//--------------------------------------

LaserData SniperLaser
{
   laserBitmapName   = "lightningNew.bmp";
   hitName           = "enex.dts";

   damageConversion  = 0.05;
   baseDamageType    = $LaserDamageType;

   beamTime          = 0.8;

   lightRange        = 2.0;
   lightColor        = { 0.0, 0.0, 1.0 };

   detachFromShooter = true;
   hitSoundId        = SoundLaserHit;
};

LaserData SniperLaser2
{
   laserBitmapName   = "paintpulse.bmp";
   hitName           = "paint.dts";

   damageConversion  = 0.0;
   baseDamageType    = $LaserDamageType;

   beamTime          = 0.5;

   lightRange        = 2.0;
   lightColor        = { 0.0, 1.0, 0.0 };

   detachFromShooter = true;
   hitSoundId        = SoundLaserHit;
};

$laserToWeapon[SniperLaser1] = LaserRifle;
$laserToWeapon[SniperLaser2] = LaserRifle;

//--------------------------------------

ItemImageData LaserRifleImage
{
	shapeFile = "sniper";
	mountPoint = 0;
	mountOffset = { 0, 0, 0 }; //-  left-right, back-front, up-down
	mountRotation = { 0, 0, 0  }; //- X= up-down , Y= roll-left-right , Z= left-right

	weaponType = 0; // Single Shot
	projectileType = SniperLaser;
	accuFire = true;
	reloadTime = 0.1;
	fireTime = 0.5;
	minEnergy = 10;
	maxEnergy = 40;

	lightType = 3;  // Weapon Fire
	lightRadius = 2;
	lightTime = 1;
	lightColor = { 1, 0, 0 };
	sfxFire = SoundEnergyTurretFire;
	sfxActivate = SoundPickUpWeapon;
};

ItemData LaserRifle
{
	description = "Laser Rifle";
	className = "Weapon";
	shapeFile = "sniper";
	hudIcon = "sniper";
   heading = "bWeapons";
	shadowDetailMask = 4;
	imageType = LaserRifleImage;
	price = 200;
	showWeaponBar = true;
   validateShape = true;
   validateMaterials = true;
};


ItemImageData LaserRifle1Image
{
	shapeFile = "grenadeL";
	mountPoint = 0; 
	mountOffset = { 0, 0, 0.1 }; //-  left-right, back-front, up-down
	mountRotation = { 0, -3.18 , 0  }; //- X= up-down , Y= roll-left-right , Z= left-right
};

ItemData LaserRifle1
{
	description = "LaserRifle1";
	className = "weapon";
	shapeFile = "grenadeL";
	shadowDetailMask = 4;
	imageType = LaserRifle1Image;
	showWeaponBar = false;
};

ItemImageData LaserRifle2Image
{
	shapeFile = "paintgun";
	mountPoint = 0; 
	mountOffset = { 0, 0.8, 0.1  }; //-  left-right, back-front, up-down
	mountRotation = { 0, 0, 0  }; //- X= up-down , Y= roll-left-right , Z= left-right

	weaponType = 0; // Single Shot
	projectileType = SniperLaser2;
	accuFire = true;
	reloadTime = 0.1;
	fireTime = 0.5;
	minEnergy = 10;
	maxEnergy = 40;
};

ItemData LaserRifle2
{
	description = "LaserRifle2";
	className = "weapon";
	shapeFile = "paintgun";
	shadowDetailMask = 4;
	imageType = LaserRifle2Image;
	showWeaponBar = false;
};


function LaserRifle::onMount(%player,%item)
{
	Player::mountItem(%player, LaserRifle1, 5);
	Player::mountItem(%player, LaserRifle2, 6);
}

function LaserRifle::onUnMount(%player,%item)
{
	Player::unmountItem(%player, 5);
	Player::unmountItem(%player, 6);
}

function LaserRifleImage::onFire(%player, %slot) 
{		
	if($debug)echo("?? EVENT fire "@Player::getMountedItem(%player,0)@ " player "@ %player @" cl# "@ Player::getclient(%player));	
	%client = GameBase::getOwnerClient(%player); 
	%trans = GameBase::getMuzzleTransform(%player); 
	%vel = Item::getVelocity(%player); 
	Projectile::spawnProjectile("SniperLaser1",%trans,%player,%vel,%player);
	Projectile::spawnProjectile("SniperLaser2",%trans,%player,%vel,%player);
		
}