//--------------------------------------

$AutoUse[PlasmaGun] = True;
$SellAmmo[PlasmaAmmo] = 5;
$AmmoPackMax[PlasmaAmmo] = 100;
$AmmoPackItems[1] = PlasmaAmmo;
$WeaponAmmo[PlasmaGun] = PlasmaAmmo;

//--------------------------------------

$InvList[PlasmaGun] = 1;
$InvList[PlasmaAmmo] = 1;
$RemoteInvList[PlasmaGun] = 1;
$RemoteInvList[PlasmaAmmo] = 1;

//--------------------------------------

RocketData PlasmaBolt1
{
   bulletShapeName    = "plasmabolt.dts";
   explosionTag       = plasmaExp;

   collisionRadius = 0.0;
   mass            = 2.0;

   damageClass        = 1;
   damageValue        = 0.4;
   damageType         = $PlasmaDamageType;
   explosionRadius    = 7.0;
   kickBackStrength = 0.0;

   muzzleVelocity     = 100.0;
   terminalVelocity = 80.0;
   acceleration     = 20.0;
   totalTime          = 2.0;
   liveTime           = 8.0;
   lightRange         = 3.0;
   lightColor         = { 6, 2, 8 };

   inheritedVelocityScale = 0.5;
   isVisible          = True;

   // rocket specific
   trailType   = 2;                // smoke trail
   trailString = "plasmatrail.dts";
   smokeDist   = 3;

   soundId = SoundJetLight;
};

RocketData PlasmaBolt2
{
   bulletShapeName    = "shotgunex.dts";
   explosionTag       = BlasterExp;

   collisionRadius = 0.0;
   mass            = 2.0;

   damageClass        = 1;
   damageValue        = 0;
   damageType         = $PlasmaDamageType;
   explosionRadius    = 7.0;
   kickBackStrength = 0.0;

   muzzleVelocity     = 100.0;
   terminalVelocity = 80.0;
   acceleration     = 20.0;
   totalTime          = 2.0;
   liveTime           = 8.0;
   lightRange         = 3.0;
   lightColor         = { 6, 2, 8 };

   inheritedVelocityScale = 0.5;
   isVisible          = True;

   // rocket specific
   trailType   = 2;                // smoke trail
   trailString = "shotgunex.dts";
   smokeDist   = 3;

   soundId = SoundJetLight;
};

$BulletToWeapon[PlasmaBolt1] = PlasmaGun;
$BulletToWeapon[PlasmaBolt2] = PlasmaGun;

//--------------------------------------


ItemData PlasmaAmmo
{
	description = "Plasma Bolt";
   heading = "xAmmunition";
	className = "Ammo";
	shapeFile = "plasammo";
	shadowDetailMask = 4;
	price = 12;
};

ItemImageData PlasmaGunImage
{
	shapeFile = "plasma";
	mountPoint = 0;
	mountOffset = { 0, 0, 0 }; //-  left-right, back-front, up-down
	mountRotation = { 0, -3.18, 0  }; //- X= up-down , Y= roll-left-right , Z= left-right

	weaponType = 0; // Double Shot
	ammoType = PlasmaAmmo;
	projectileType = PlasmaBolt;
	accuFire = true;
	reloadTime = 1;
	fireTime = 0.1;

	lightType = 0;  // Weapon Fire
	lightRadius = 3;
	lightTime = 1;
	lightColor = { 1, 1, 0.2 };

	sfxFire = SoundFireMortar;
	sfxActivate = SoundPickUpWeapon;
	sfxReload = SoundFireLaser;
};

ItemData PlasmaGun
{
	description = "Plasma Gun";
	className = "Weapon";
	shapeFile = "plasma";
	hudIcon = "plasma";
   heading = "bWeapons";
	shadowDetailMask = 4;
	imageType = PlasmaGunImage;
	price = 275;
	showWeaponBar = true;
   validateShape = true;
};

//--------------------------------------

ItemImageData PlasmaGun1Image
{
	shapeFile = "shotgun";
	mountPoint = 0; 
	mountOffset = { 0, 0, 0 }; //-  left-right, back-front, up-down
	mountRotation = { 0, 0, 0  }; //- X= up-down , Y= roll-left-right , Z= left-right
};

ItemData PlasmaGun1
{
	description = "PlasmaGun1";
	className = "weapon";
	shapeFile = "shotgun";
	shadowDetailMask = 4;
	imageType = PlasmaGun1Image;
	showWeaponBar = false;
};

ItemImageData PlasmaGun2Image
{
	shapeFile = "sensorjampack";
	mountPoint = 0; 
	mountOffset = { 0, 0, -0.1  }; //-  left-right, back-front, up-down
	mountRotation = { 0, -3.18 , 0  }; //- X= up-down , Y= roll-left-right , Z= left-right
};

ItemData PlasmaGun2
{
	description = "PlasmaGun2";
	className = "weapon";
	shapeFile = "sensorjampack";
	shadowDetailMask = 4;
	imageType = PlasmaGun2Image;
	showWeaponBar = false;
};


function PlasmaGun::onMount(%player,%item)
{
	Player::mountItem(%player, PlasmaGun1, 5);
	Player::mountItem(%player, PlasmaGun2, 6);
}

function PlasmaGun::onUnMount(%player,%item)
{
	Player::unmountItem(%player, 5);
	Player::unmountItem(%player, 6);
}
function PlasmaGunImage::onFire(%player, %slot) 
{		
	if($debug)echo("?? EVENT fire "@Player::getMountedItem(%player,0)@ " player "@ %player @" cl# "@ Player::getclient(%player));	
	%client = GameBase::getOwnerClient(%player); 
	Player::decItemCount(%player,Plasmaammo,1); 
	%trans = GameBase::getMuzzleTransform(%player); 
	%vel = Item::getVelocity(%player); 
	Projectile::spawnProjectile("PlasmaBolt1",%trans,%player,%vel,%player);
	Projectile::spawnProjectile("PlasmaBolt2",%trans,%player,%vel,%player);
		
}